/* 
 * File:   main.h
 * Author: pxa11
 *
 * Created on 2016/12/14, 20:03
 */

#ifndef MAIN_H
#define	MAIN_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <stdint.h>
    
#define BOARD_ID    0
#define FIRMWARE_VERSION    100
#define KEY_BUFFER_SIZE 16
#define KEY_STAT_SIZE   2
    
extern volatile uint16_t tick;
extern volatile uint8_t KeyBufferTop;
extern volatile uint8_t KeyBufferBottom;
extern volatile uint8_t KeyBuffer[];
extern volatile uint8_t KeyStat[];
extern volatile uint8_t RepeatStart;
extern volatile uint8_t RepeatInterval;
extern volatile uint16_t AdcResult;

#ifdef	__cplusplus
}
#endif

#endif	/* MAIN_H */

